/*
	NXHelpPanel.h
	Application Kit, Release 3.0
	Copyright (c) 1988, 1989, 1990, 1991, NeXT, Inc.  All rights reserved. 
*/

#import "Panel.h"
#import <sys/stat.h>

@interface NXHelpPanel:Panel
{
    void *private;
}

+ alloc;
+ attachHelpFile:(const char *)filename markerName:(const char *)markername to:object;
+ detachHelpFrom:object;
+ (BOOL)isClickForHelpEnabled;
+ new;
+ newForDirectory:(const char *)helpDirectory;
+ setClickForHelpEnabled:(BOOL)enabled;


- addSupplement:(const char *)helpDirectory inPath:(const char *)supplementPath;
- (BOOL)commandKey:(NXEvent *)eventPtr;
- free;
- (NXAtom)helpDirectory;
- (NXAtom)helpFile;
- makeFirstResponder:newFirstResponder;
- print:sender;
- printPanel:sender;
- sendEvent:(NXEvent *)eventPtr;
- showFile:(const char *)filename atMarker:(const char *)markername;
- (BOOL)showHelpAttachedTo:object;
- splitViewDidResizeSubviews:sender;
- splitView:sender getMinY:(NXCoord *)minY maxY:(NXCoord *)maxY ofSubviewAt:(int)offset;
- splitView:sender resizeSubviews:(const NXSize *)oldSize;
- textDidGetKeys:sender isEmpty:(BOOL)flag;
- textDidRead:textObject paperSize:(NXSize *)paperSize;
- textPath:(char *)path forText:textObject maxLength:(int)maxLength;
- windowDidMove:sender;
- windowWillResize:sender toSize:(NXSize *)frameSize;

@end

#ifdef KANJI
@interface NXHelpPanel(InputManager)
+ setEnableIMHelp:(BOOL)flag;
@end
#endif
